Bug 4001 - Missing en_GB translations for logical names that already existed before
: Missing en_GB translations for logical names that already existed before
Status: RESOLVED WONTFIX
Product: Development platform
SDK
: 5.0-alpha-pre1
: All Linux
: Low normal (vote)
: ---
Assigned To: Soumya
: sdk-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-14 01:17 UTC by Carsten Munk
Modified: 2010-10-25 16:25 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Carsten Munk (reporter) maemo.org 2009-01-14 01:17:46 UTC
SOFTWARE VERSION:
Fremantle pre-alpha SDK

STEPS TO REPRODUCE THE PROBLEM:

Run Fremantle pre-alpha SDK, bring up hildon-desktop

EXPECTED OUTCOME:

Basic, engineering english locales in use.

ACTUAL OUTCOME:
tana_fi_home
home_ap_view
home_ap_set_theme
home_me_screen_calibration
home_me_help
sfil_li_modified_today

appearing instead.

appears instead. All of these are in previous en_GB.po files, but seem to have
vanished from the Fremantle pre-SDK l10n.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

Proper .po files for Fremantle packages are a very good thing to have for
community backport (we are already running into the strings not existing, so)

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; da; rv:1.9.0.5)
Gecko/2008120122 Firefox/3.0.5
Comment 1 Eero Tamminen nokia 2009-01-19 18:34:11 UTC
The desktop is going to be replaced for Fremantle, the alpha SDK one has the
old one from Diablo.  I don't think it has changed.

I don't currently have Diablo at hand so that I could check, but is this bug
about localization *file(s)* missing from the desktop package included with
SDK, or about localization *package(s)* for desktop missing from the SDK?
Comment 2 Carsten Munk (reporter) maemo.org 2009-01-19 23:26:48 UTC
(In reply to comment #1)
> I don't currently have Diablo at hand so that I could check, but is this bug
> about localization *file(s)* missing from the desktop package included with
> SDK, or about localization *package(s)* for desktop missing from the SDK?
> 
Neither, the files and packages are there just fine
(maemo-af-desktop-l10n-public_6.0+r6405.tar.gz for instance), there just seems
to have been a random tornado through them and removed previously existing good
locale strings.

(see google: tana_fi_home filetype:po  for their pre-existence.)

There's also missing strings related to many of the widgets (the new file
chooser, for instance), sfil_li_modified_today.

Effect can be seen on
http://share.ovi.com/media/yerga.Hildonwidgets/yerga.11985 for instance.
Comment 3 timeless 2009-01-21 22:02:11 UTC
it's a beta sdk. there should be another. packaging and stuff are a bit strange
but were certainly not guaranteed to have anything.

Nokia process seems to basically toss out all strings and start from scratch
for each new "thing". (I'm not sure what a "thing" is, and it might be a
secret, so don't ask me for a better description.)

This gives us the chance to repeat the mistakes we've made before.

In the interim, don't worry, the engineers at Nokia also have to stare at these
ugly strings (and more actually).
Comment 4 Quim Gil nokia 2009-01-25 18:08:24 UTC
Resolving as WONTFIX (an alternative would be "FIXED in Fremantle"  ;)

The Diablo Hildon Desktop running on top of the Fremantle baseline is a
not-very-clean hack. The alpha release will start bringing things back to
normality offering the new Hildon Desktop. And still at that point things like
language strings might be missing.

The right time for a bug like this is the Fremantle release. Please reopen if
you see this bug happening at that time.
Comment 5 Carsten Munk (reporter) maemo.org 2009-01-26 00:08:22 UTC
string focus wasn't on old hildon-desktop, just where we immediately saw the
symptoms - as we have seen missing strings in an other widgets (file chooser,
etc), but we're eagerly awaiting the next pre-alpha and alpha release to see
what this brings.